FreeMat

- Main Page
- Related Pages

vtkInformationIterator

Section: Visualization Toolkit Common Classes

# Usage

vtkInformationIterator can be used to iterate over the keys of an information object. The corresponding values can then be directly obtained from the information object using the keys.

To create an instance of class vtkInformationIterator, simply invoke its constructor as follows

      obj = vtkInformationIterator

# Methods

The class vtkInformationIterator has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkInformationIterator class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkInformationIterator = obj.NewInstance ()`
- `vtkInformationIterator = obj.SafeDownCast (vtkObject o)`
- `obj.SetInformation (vtkInformation )` - Set/Get the information to iterator over.
- `vtkInformation = obj.GetInformation ()` - Set/Get the information to iterator over.
- `obj.InitTraversal ()` - Move the iterator to the beginning of the collection.
- `obj.GoToFirstItem ()` - Move the iterator to the beginning of the collection.
- `obj.GoToNextItem ()` - Move the iterator to the next item in the collection.
- `int = obj.IsDoneWithTraversal ()` - Test whether the iterator is currently pointing to a valid item. Returns 1 for yes, 0 for no.
- `vtkInformationKey = obj.GetCurrentKey ()` - Get the current item. Valid only when IsDoneWithTraversal() returns 1.